Bug 905654 - large number of services cause inventory report to not get processed
large number of services cause inventory report to not get processed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.5
All All
urgent Severity urgent (vote)
: ---
: RHQ 4.6
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 905655 952718
  Show dependency treegraph
 
Reported: 2013-01-29 16:19 EST by John Mazzitelli
Modified: 2013-11-13 15:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 905655 (view as bug list)
Environment:
Last Closed: 2013-09-03 10:42:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2013-01-29 16:19:43 EST
The scenario is:

1) agent detects a server, sends it up to server via inventory report
2) user commits that server to inventory
3) agent is told about this, commits the server and auto-detects children services of that newly committed server. The number of children services is huge - say, on the order of tens of thousands (e.g. 40,000 or 50,000)
4) The agents sends up this huge inventory report

At this point, the server will have a hard time processing this report. The server needs to handle this scenario better.

Jay has code written that makes this more efficient.
Comment 1 Larry O'Leary 2013-02-01 12:33:02 EST
Not sure how this bug got created but it seems to be an exact duplicate of the earlier bug 902406.

*** This bug has been marked as a duplicate of bug 902406 ***
Comment 2 Larry O'Leary 2013-02-01 12:53:41 EST
Re-opening as this does not actually duplicate 902406. It was just that 902406's title had not been updated.

This BZ represents the work that needs to be done to handle "large" inventory reports.
Comment 3 Jay Shaughnessy 2013-02-26 15:28:11 EST
This work was committed and is in 4.6.
Comment 4 Heiko W. Rupp 2013-09-03 10:42:55 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.